drop view vis_entity_disclosures
GO
create view vis_entity_disclosures as (
	SELECT 
		dr.disclosed_relation_id, 
		dr.umf_log_id, 
		dr.dsrc_acct_1, 
		dr.dsrc_id_1, 
		dr.dsrc_acct_2, 
		dr.dsrc_id_2, 
		dr.sys_create_dt, 
		dr.sys_lstupd_dt, 
		dr.sys_delete_dt, 
		dr.sys_delete_stat, 
		dr.sys_expire_dt, 
		COALESCE(dr.description,'') as DESCRIPTION , 
		dr.load_group, 
		dc1.dsrc_desc AS dsrc1_desc, 
		dc2.dsrc_desc AS dsrc2_desc, 
		dc1.dsrc_code AS dsrc1_code, 
		dc2.dsrc_code AS dsrc2_code, 
		da1.entity_id AS acct1_entity_id, 
		da2.entity_id AS acct2_entity_id 
	FROM 
		dsrc_acct da1, 
		dsrc_acct da2, 
		disclosed_relations dr, 
		dsrc_code dc1, dsrc_code dc2 
	WHERE 
		dr.dsrc_acct_1 = da1.dsrc_acct AND 
		dr.dsrc_acct_2 = da2.dsrc_acct AND 
		dr.dsrc_id_1 = da1.dsrc_id AND 
		dr.dsrc_id_2 = da2.dsrc_id AND 
		dr.dsrc_id_1 = dc1.dsrc_id AND 
		dr.dsrc_id_2 = dc2.dsrc_id)
GO